Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.soap.adapter
Class SOAPProcessorHttpServletResponse

    java.lang.Object
      org.jboss.soa.esb.actions.soap.adapter.SOAPProcessorHttpServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class SOAPProcessorHttpServletResponse

extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

This is an adapter used when integrating with JBossWS.

Author:
  Kevin Conner

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`SOAPProcessorHttpServletResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie arg0)`
`void` | `addDateHeader(java.lang.String arg0, long arg1)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String arg0, int arg1)`
`boolean` | `containsHeader(java.lang.String arg0)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String arg0)`
`java.lang.String` | `encodeRedirectURL(java.lang.String arg0)`
`java.lang.String` | `encodeUrl(java.lang.String arg0)`
`java.lang.String` | `encodeURL(java.lang.String arg0)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getCharset()`
`byte[]` | `getContent()`
`java.lang.String` | `getContentType()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getHeaders()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`int` | `getStatus()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int arg0)`
`void` | `sendError(int arg0, java.lang.String arg1)`
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `setBufferSize(int arg0)`
`void` | `setContentLength(int arg0)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String arg0, long arg1)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String arg0, int arg1)`
`void` | `setLocale(java.util.Locale arg0)`
`void` | `setStatus(int status)`
`void` | `setStatus(int arg0, java.lang.String arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPProcessorHttpServletResponse

    public SOAPProcessorHttpServletResponse()

Method Detail

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### getStatus

    public int getStatus()

### getHeaders

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getHeaders()

### getContent

    public byte[] getContent()

### getContentType

    public java.lang.String getContentType()

### getCharset

    public java.lang.String getCharset()

### addCookie

    public void addCookie(javax.servlet.http.Cookie arg0)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String arg0,
                              long arg1)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String arg0)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String arg0)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String arg0)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String arg0)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String arg0)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public void sendError(int arg0)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int arg0,
                          java.lang.String arg1)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String arg0,
                              long arg1)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int arg0,
                          java.lang.String arg1)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int arg0)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### setContentLength

    public void setContentLength(int arg0)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale arg0)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD